%define module MD5
%define m_distro MD5
%define m_name MD5
%define m_author_id unknown
%define _enable_test 1

Name: perl-MD5
Version: 2.03
Release: alt1

Summary: Perl interface to the MD5 Message-Digest Algorithm (depreciated module)

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

BuildArch: noarch
Source: http://search.cpan.org//CPAN/authors/id/G/GA/GAAS/%m_distro-%version.tar.gz

# Automatically added by buildreq on Fri Mar 03 2006
BuildRequires: perl-devel

%description
The "MD5" module is depreciated.  Use "Digest::MD5" instead.

The current "MD5" module is just a wrapper around the "Digest::MD5"
module.  It is provided so that legacy code that rely on the old
interface still work and get the speed benefit of the new module.

In addition to the methods provided for "Digest::MD5" objects, this
module provide the class methods MD5->hash() and MD5->hexhash() that
do the same as the md5() and md5_hex() functions provided by
"Digest::MD5".

%prep
%setup -q -n %m_distro-%version
%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/*
%perl_vendor_man3dir/*

%changelog
* Fri Mar 03 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 2.03-alt1
- Initial build for ALT Linux Sisyphus
